<!DOCTYPE html>
<html>

<head lang="es">
	<meta charset="utf-8">
	<title>Trabajo en grupo TG1</title>
	<link rel="stylesheet" href="style.css">
</head>

<body>
	<header>
		<h1>Desarrollo con Tecnologías Emergentes. Curso 2019-20<br>
			Trabajo TG1 del grupo T3<br>
			Título: TG1.Encontrar recursos sobre dos tecnologías emergentes</h1>
	</header>
	<nav>
		<ul>
			<li><a href="#1">1. Información general</a></li>
			<li><a href="#2">2. Descripción del tipo de tecnología</a></li>
			<li><a href="#3">3. Fuentes de información (documentos)</a></li>
			<li><a href="#4">4. Fuentes de información (cursos no gratuitos)</a></li>
			<li><a href="#5">5. Fuentes de información (cursos gratuitos)</a></li>
			<li><a href="#6">6. Ayudas económicas para estudiar las tecnologí­as</a></li>
			<li><a href="#7">7. Recursos para implementar las tecnologí­as</a></li>
			<li><a href="#8">8. Conclusiones</a></li>
		</ul>
	</nav>

	<main>
		<section id=1">
			<h2>1. Información general</h2>
			<h3>1.1 Autores</h3>
			<p>Trabajo realizado por Álvaro Sanz Blanco, Alejandro García Cestero, David Pacheco Valero, Ignacio Heredia Beneitez y Jorge de la Mata Marchante</p>
			<h3>1.2 Proyecto Scrum y repositorio en GitLab</h3>
			<p>La URL del proyecto de GitLab de nuestro grupo es la siguiente:
				<a href="https://gitlab.com/dte2020/t3/tg01"> enlace a nuestro proyecto</a>.</p>
			<h3>1.3 Burndown chart</h3>
			<p>En este apartado se debe incrustar la imagen del diagrama Burndown final del Sprint TG1.</p>
			<img src="Estadisticas.PNG">
			<h3>1.4 Presentación del trabajo</h3>
			<p>El enlace al archivo de la presentación con diapositivas, ubicado en el
				repositorio del proyecto es el siguiente:  </p>
			<a href="presentacion1.pptx">Presentación con diapositivas del trabajo TG1</a></p>
		</section>
		<section id="2">
			<h2>2. Descripción del tipo de tecnología</h2>
			<p> Este trabajo trata sobre la tecnología HTML (HyperText Markup Language), que es un lenguaje de marcado muy conocido utilizado para crear páginas web en internet
				Este lenguaje de formato abierto permite ordenar (no hay reglas de organización) y etiquetar documentos dentro de una lista. Mediante estas etiquetas se pueden 
				crear textos, las etiquetas se representan con "<" ">", y sus componentes forman la estructura del lenguaje.
				También se pueden crear scripts para dar órdenes concretas a los navegadores
				
				Nos centraremos en dos tecnologías basadas en HTML, las cuales son Canvas y SVG:
				1. Canvas. Como ya hemos mencionado, HTML permite crear scripts, y canvas utiliza estos scripts para crear gráficos, crear imágenes, animaciones...
				Para representarlo en HTML, se escribe la etiqueta "<canvas>". Los navegadores más antiguos no lo soportan. El tamaño por defecto del canvas es 300px * 150px (ancho * alto ), 
				pero se puede personalizar usando las propiedades height y width de CSS.

				2. SVG (Scalable Vector Graphics).  SVG es un lenguaje basado en XML para describir imágenes vectoriales. Estos gráficos e imágenes tienen un tamaño de archivo pequeño 
				y son altamente escalables como su nombre indica, ya que no se pixelan cuando se realiza un zoom a un gran tamaño. Las imágenes vectoriales se crean utilizando algortimos 
				de forma que el ordenador puede calcular las formas de la imagen, escalando sus valores para que se mantenga a una gran calidad incluso al aumentar el zoom considerablemente. 
				Se puede usar esta tecnología para crear gráficos vectoriales para la web.
			</p>
			<p> Existen ciertas ayudas para financiar el estudio de HTML, principalmente los bancos, ya sea Santander, BBVA, Unicaja... 
				Además existen otros recursos como micropréstamos a través de páginas como Cofidis, o distintas Becas a las que se pueda optar.
			</p>
		</section>
		<section id="3">
			<h2>3. Fuentes de información (documentos)</h2>
			<p>
				En esta parte del trabajo se estudiarán las distintas fuentes de información que ofrecen documentos de interés sobre el
				tipo de tecnología en general (HTML5) y sobre cada una de las tecnologías especificas elegidas (SVG y CANVAS).

				Encontraremos una descripción sobre el documento (de que trata, que apartados tiene, cual es su finalidad, etc.) y al final
				de dicha descripción el enlace de la fuente de la que se ha sacado la información.
			</p>
			
			<h3>3.1 Fuentes de información sobre el tipo de tecnología en general </h3>
			
			<h4>3.1.1 Fuente de información 1 sobre el tipo de tecnología en general</h4>

			<p>Introducing HTML5, de Bruce Lawson y Remy Sharp.

				Nos expone conocimientos técnicos para aprender programación en HTML5, distribuidos en 11 capítulos junto con sus extras, que serían los siguientes:

				•	CHAPTER 1 Main Structure
				•	CHAPTER 2 Text
				•	CHAPTER 3 Forms
				•	CHAPTER 4 Video and Audio
				•	CHAPTER 5 Canvas
				•	CHAPTER 6 Data Storage
				•	CHAPTER 7 Offline
				•	CHAPTER 8 Drag and Drop
				•	CHAPTER 9 Geolocation
				•	CHAPTER 10 Messaging and Workers
				•	CHAPTER 11 Real Time
				•	Patching Old Browsers to Support HTML5 Today
				•	Index

				</p>
			<a href="https://books.google.es/books?hl=es&lr=&id=a8HQCk4pbQkC&oi=fnd&pg=PR6&dq=html5&ots=3f77b4hpMw&sig=bXxnAqfQRCazUeHRhx3DfCCMntI#v=onepage&q=html5&f=false">Enlace a la fuente</a>

			<h4>3.1.2 Fuente de información 2 sobre el tipo de tecnologí­a en general</h4>

			<p>HTML5 y CSS3 - Revolucione el diseño de sus sitios web, de Christophe Aubry.

				Este libro es de conocimientos técnicos acerca del código, pero también dispone de explicaciones teóricas que facilitan su entendimiento.

				Se divide en dos grandes apartados:

				•	HTML5
				•	CSS3

				</p>
			<a href="https://books.google.es/books?hl=es&lr=&id=2P-4ff445ZcC&oi=fnd&pg=PA20&dq=html5&ots=o43emnIbSG&sig=QCLutV7J-T-q-wU0QfwqllMxMfk#v=onepage&q=html5&f=false">Enlace a la fuente</a>

			<h4>3.1.3 Fuente de información 3 sobre el tipo de tecnologí­a en general</h4>

			<p>Diseño De Páginas Web Y Diseño Gráfico, de Ramón Mariño Campos.

				Este libro se acerca más a conocimientos propios de los gráficos en lugar de centrarse tanto en el código.

				Se divide en dos grandes apartados:
				
				•	Diseño de páginas web
				•	Diseño gráfico

				</p>
			<a href="https://books.google.es/books?hl=es&lr=&id=DTbyZPnxOI8C&oi=fnd&pg=PA1&dq=graficos+html&ots=ZQfU6TH1TK&sig=w-gjc9sXEis6GUJ0oVtJrXI4_7Y#v=onepage&q&f=false">Enlace a la fuente</a>

			<h4>3.1.4 Fuente de información 4 sobre el tipo de tecnologí­a en general</h4>
			
			<p>HTML5: Up and Running: Dive into the Future of Web Development, de Mark Pilgrim.

				Este libro contiene prácticamente todo lo que tienes que saber de HTML5, desde conceptos teóricos hasta conceptos más técnicos.

				Se divide en los siguientes apartados:

				•	Chapter 1 How Did We Get Here?
				•	Chapter 2 Detecting HTML5 Features
				•	Chapter 3 What Does It All Mean?
				•	Chapter 4 Lets Call It a Drawing Surface
				•	Chapter 5 Video on the Web
				•	Chapter 6 You Are Here And So Is Everybody Else
				•	Chapter 7 The Past Present and Future of Local Storage for Web Applications
				•	Chapter 8 Lets Take This Offline
				•	Chapter 9 A Form of Madness
				•	Chapter 10 Distributed Extensibility and Other Fancy Words
				•	Appendix The AllinOne AlmostAlphabetical Guide to Detecting Everything
				•	Index
				
				</p>
			<a href="https://books.google.es/books?hl=es&lr=&id=Mk3sW0on7OAC&oi=fnd&pg=PR5&dq=html5&ots=CmcCI8ORoi&sig=7maK7ddOybP3olgttWw2Z0VbGL4#v=onepage&q=html5&f=false">Enlace a la fuente</a>

			<h3>3.2 Fuentes sobre la tecnologí­a especí­fica A (Canvas)</h3>
			
			<h4>3.2.1 Fuente de información 1 sobre la tecnologí­a especí­fica A (Canvas)</h4>

			<p>HTML5 Canvas: Native Interactivity and Animation for the Web, de Steve Fulton y Jeff Fulton.

				Se trata de un libro en que te enseñan todo lo que necesitas sobre HTML5 Canvas, con capturas de código y explicaciones y ejemplos.
				Se divide en los siguientes apartados:
				•	Chapter 1 Introduction to HTML5 Canvas
				•	Chapter 2 Drawing on the Canvas
				•	Chapter 3 The HTML5 Canvas Text API
				•	Chapter 4 Images on the Canvas
				•	Chapter 5 Math Physics and Animation
				•	Chapter 6 Mixing HTML5 Video and Canvas
				•	Chapter 7 Working with Audio
				•	Part I
				•	Part II
				•	Chapter 10 Going Mobile
				•	Chapter 11 Further Explorations
				•	Appendix A Full Code Listings
				•	Index
				</p>

			<a href="https://books.google.es/books?hl=es&lr=&id=zLUyKvtdCQwC&oi=fnd&pg=PR2&dq=html5+canvas&ots=Hbyn2QRQXj&sig=LhegqRW47lWObbJCZqgOckeFrlI#v=onepage&q=html5%20canvas&f=false">Enlace a la fuente</a>

			<h4>3.2.2 Fuente de información 2 sobre la tecnologí­a especí­fica A (Canvas)</h4>
			
			<p>Core HTML5 Canvas: Graphics, Animation, and Game Development, de David Geary.
				Este libro se centra tanto en el código como en el propio diseño en sí, enseñándote también a crear formas y a darles uso tanto en internet como en animación y videojuegos.
				El libro de divide en los siguientes apartados:
				•	Essentials
				•	Drawing
				•	Text
				•	Images and Video
				•	Animation
				•	Sprites
				•	Physics
				•	Collision Detection
				•	Game Development
				•	Custom Controls
				•	Mobile
				•	Index
				</p>

			<a href="https://books.google.es/books?hl=es&lr=&id=kc4iT8lfEQYC&oi=fnd&pg=PR5&dq=html5+canvas&ots=x3bZZxshxK&sig=33OnLSwASi16VJ9mL0eI2t5VueE#v=onepage&q=html5%20canvas&f=false">Enlace a la fuente</a>

			<h4>3.2.3 Fuente de información 3 sobre la tecnologí­a especí­fica A (Canvas)</h4>

			<p>HTML5 Canvas Referencia y Ejemplos, de Juan Carlos Reyes C.
				Este libro consta de una primera parte teórica y luego se centra en explicaciones acerca de código con ejemplos.
				</p>

			<a href="https://books.google.es/books?hl=es&lr=&id=E1zxBQAAQBAJ&oi=fnd&pg=PA31&dq=html5+canvas&ots=pHCEr5-fSS&sig=QbIjyGhI1-NafXCvuIbF6mVb5Qo#v=onepage&q=html5%20canvas&f=false">Enlace a la fuente</a>

			<h3>3.3 Fuentes sobre la tecnologí­a especí­fica B (SVG) </h3>
			<h4>3.3.1 Fuente de información 1 sobre la tecnologí­a especí­fica B (SVG)</h4>
			<p>En esta fuente, se explica el concepto de qué es SVG, sus ventajas y algún pequeño ejemplo para visuealizarlo más fácilmente.</p>
			<a href="https://developer.mozilla.org/es/docs/Learn/HTML/Multimedia_and_embedding/Agregando_graficos_vectoriales_a_la_Web">Enlace a la fuente</a>
			<h4>3.3.2 Fuente de información 2 sobre la tecnologí­a especí­fica B</h4>
			<p>Enlace parecido al anterior, pero se centra más en la sintaxis del SVG, explicando imágenes, planos, etiquetas... </p>
			<a href="https://www.mclibre.org/consultar/htmlcss/html/html-svg.html">Enlace a la fuente</a>
			<h4>3.3.N Fuente de información N sobre la tecnologí­a especí­fica B</h4>
			<p>Esta fuente nos aporta el conocimiento necesario para insertar gráficos svg en nuestra página web, mostrando a su vez, ventajas y puntos débiles</p>
			<a href="https://www.ionos.es/digitalguide/paginas-web/creacion-de-paginas-web/agregar-svg-a-una-pagina-web/">Enlace a la fuente</a>
		</section>

		<section id="4">
			<h2>4. Fuentes de información (cursos no gratuitos)</h2>
			<p>
				En este apartado, vamos a comentar algunos de los cursos de pago que se ofrecen sobre 
				sobre la tecnología seleccionada, constará de tres partes: cursos sursos de pago sobre 
				la tecnología en general, cursos de pago sobre la tecnología A (CANVAS) y 
				cursos de pago sobre la tecnología B (SVG).
			</p>
			<p>
				Sobre cada uno de los cursos tendremos distinta información: URL oficial, información, 
				coste, etc.
			</p>


			<h3>4.1 Cursos no gratuitos sobre el tipo de tecnologí­a en general </h3>

			<h4>4.1.1 Curso no gratuito 1: Diseño y Desarrollo Web con HTML5, CSS3 y JavaScript</h4>
			<p>
				- Horas: 150 horas
				- Precio: 282 €
				- Tipo de curso: A distancia
				- Nivel: Medio

				Objetivos:
				Este curso además de ser una guía completa de HTML 5 con gran cantidad de prácticas introduce también el uso de CSS3, 
				JavaScript y jQuery ya que son tecnologías que prácticamente se presentan siempre en conjunto y para comprender el desarrollo es imprescindible que se estudien de modo integrado. 
				Por último veremos una introducción a Bootstrap, un framework CSS desarrollado inicialmente por Twitter que permite dar forma a un sitio web mediante librerías CSS que incluyen tipografías, 
				botones, cuadros, menús y otros elementos que pueden ser utilizados en cualquier sitio web.

				Contenido:
					- XHTML y CSS (Conceptos fundamentales)
					- Documentos HTML5
					- Estilos CSS y modelos de caja
					- Propiedades CSS3
					- Programación web con JavaScript
					- Programación web con JQuery
					- Introducción a Bootstrap
					- Formularios
					- Video y Audio
					- Fullscreen
					- Canvas
					- Drang and Drop
					- Web storage
					- Archivos
					- Geolocalización
					- History
					- Proyecto fin de curso
			</p>
			<a href="https://formacionpermanente.uned.es/tp_actividad/idactividad/11010">Enlace al curso</a>

			<h4>4.1.2 Curso no gratuito 2: Funcionalidades y Posibilidades de este Estándar</h4>
			<p>
				- Horas: 50 horas
				- Precio: Con tutor -> 250€ || Sin tutor -> 150€
				- Tipo de curso: Online
				- Nivel: Se han de tener conocimientos previos en HTML y JavaScript

				Objetivos:
				Al finalizar el curso el alumno será capaz de entender el funcionamiento y los objetivos con los que nace HTML5. 
				Será capaz de utilizar y aplicar las nuevas funcionalidades que nos ofrece HTML5 como son la nueva forma de estructurar una página Web, 
				los elementos multimedia de audio y vídeo, la potente API de Canvas, la función de arrastrar y soltar… así como elementos más avanzados 
				como el almacenamiento en local o los WebSockets.

				Contenido:
				- Introducción
				- Nuevas etiquetas de HTML5 y etiquetas que desaparecen
				- Nueva forma de estructurar una página Web
				- Nuevos campos de formulario
				- Etiquetas multimedia de AUDIO y VIDEO
				- Aprender a trabajar con Canvas
				- Nuevas opciones con CSS3
				- Drag and Drop
				- Edición inline
				- Geolocalización
				- Almacenamiento Web
				- Comunicaciones en HTML5
			</p>
			<a href="https://www.adrformacion.com/cursos/html52/html52.html">Enlace al curso</a>

			<h4>4.1.3 Curso no gratuito 3: HTML5 y CSS3</h4>
			<p>
				- Horas: 18 horas
				- Precio: 99€ por privado y 250€ si se bonifica en las cuotas de S.S.
				- Tipo de curso: Online
				- Nivel: Niveles básicos de HTML5 y CSS3

				Objetivos:
				Con el Curso Diseño HTML5 y CSS3 aprenderás a diseñar y programar con HTML5 y CSS3 para optimizar el aspecto y 
				funcionalidad de las páginas web creadas.

				Contenidos:
					HTML5
						- Tags nuevos (header, nav, article, section, video, audio…)
						– El nuevo Doctype
						– Estructura semántica web
						– Etiquetas nuevas para añadir significado
						– Formularios nuevos
						– Atributos nuevos
						– Incorporación de elementos multimedia
						– Aplicaciones web (canvas, web workers, web sockets, cache…).
					CSS3
						- Soporte CSS3
						– Selectores nuevos
						– Propiedades nuevas
						– Bordes
						– Sombras
						– Degradados
						– Transparencias
						– Fondos
						– Tipografías, @font-face y herramientas relacionadas
						– Ajuste de línea
						– Animaciones y transformaciones con CSS3.
						– Rotación
						– Columnas
			</p>
			<a href="https://www.trebol.com/cursos-diseno-web-y-programacion/curso-diseno-html5-css3/">Enlace al curso</a>

			<h4>4.1.4 Curso no gratuito 4:Curso de Html5 y Css3</h4>
			<p>
				- Horas: 150 horas.
				- Precio: 1600 € + 240€ de reserva de plaza.
				- Tipo de curso: Presencial
				- Nivel: Básico-Medio

				Objetivos:
				- Conocer al detalle el nuevo entorno digital: desde los servidores web a la dirección de arte digital, los contenidos multimedia, los fundamentos de Sketch, 
					los principios de usabilidad (UX / UI), el diseño mobile first o los conceptos de control de versiones, entre otros muchos aspectos.
				- Organizar y trabajar la web con HTML/HTML5 y CSS
				- Aprender los usos y aplicaciones de Javascript a la hora de conjugar web e interactividad, así como sus diferentes plugins (FlesxSlider, OnePageScroll, Masonry, Parallax…)
				- Dominar la creación de banners y piezas interactivas.
				- Adentrarte en el conocimiento del PHP y los CMS (WordPress), así como en la optimización y posicionamiento del proyecto web.
			</p>
			<a href="https://trazos.net/desarrollo-web/curso-de-html5-css3/">Enlace al curso</a>

			<h4>4.1.5 Curso no gratuito 5: Curso de HTML 5 y CSS3 Avanzado</h4>
			<p>
				- Horas: 15 horas
				- Precio: A consultar
				- Tipo de curso: Presencial
				- Nivel: Avanzado

				Objetivos:

				Contenidos:
				Módulo 1. HTML 5
					- Etiquetas obsoletas
					- Etiquetas modificadas
					- Cambios genéricos
					- Etiquetas estructurales y semánticas
					- La oferta multimedia: <video>, <audio>, <source> y <track>
					- Etiquetas de indicación de estado
					- Gráficos mediante <canvas>
					- Transformaciones
					- Animaciones
					- Soporte SVG
					1.1. Atributos
						- Atributos <input> y la API HTML para formularios
						- WAI-ARIA
						- Atributos Data-
						- Semántica: (Schema y OGP)
				Módulo 2. CSS 3
					- Revisión: Estructura de un documento CSS
					- Reglas: definición y tipos
					- Los dos triángulos esquemáticos: Ubicación y Selección
					- Posicionamiento: cambios y nuevas posibilidades de estructura con Grid y Flexbox
					- Trabajar con fuentes Web
					- Texto: nuevas opciones.
					- Administración de fondos y colores
					- Degradados y paletas de colores
					- Efectos visuales
					- Cuadros y bordes
					- Columnas
					- Transiciones
					- Animaciones
				Módulo 3. PRÁCTICAS
					- DEMOS: Análisis de las demos más impactantes y sus técnicas asociadas.
					- Presentación de la información
					- Tratamiento de Texto y Fuentes
					- Listas y Tablas
					- Introducción de datos
					- Marcadores
					- Gráficos: Canvas y SVG
					- Multimedia
					- Elementos dinámicos
					- Metáforas de visualilzación
			</p>
			<a href="https://www.educaweb.com/curso/html-5-css3-avanzado-344757/">Enlace al curso</a>

			<h3>4.2 Cursos no gratuitos sobre la tecnologí­a especí­fica A </h3>
			<h4>4.2.1 Curso no gratuito 1 sobre la tecnologí­a especí­fica A</h4>
			<p>Desarrolla juegos HTML5 con canvas
				El CANVAS de HTML5 es una poderosa herramienta que nos permitirá, entre otras cosas, procesar imágenes, crear filtros, manejar textos, dibujar, realizar animaciones, 
				todo por medio del lenguaje JavaScript. Con el canvas de HTML5, tus aplicaciones se podrán visualizar en cualquier dispositivo móvil, incluso en el iPhone y iPad!

				Aprenderemos desde hacer una etiqueta muy básica, hacer líneas, rectángulos y curvas Bézier, tanto cúbicas como cuadráticas, arcos y círculos. Revisaremos la forma 
				de hacer gradientes lineales y radiales, cargar patrones de imágenes y hacer sombras.

				Antes de hacer juegos, realizaremos una aplicación para dibujar en canvas y otra para cargar imágenes y aplicar filtros y efectos como el flip horizontal.
			</p>
			<a href="https://www.udemy.com/course/html5-canvas-a-profundidad/">Enlace al curso</a>
			<h4>4.2.2 Curso no gratuito 2 sobre la tecnologí­a especí­fica A</h4>
			<p>Aprende Canvas HTML5
				El canvas de HTML5 es una poderosa herramienta orientada a artistas, diseñadores, profesores y principiantes  de programación que nos permitirá hacer tareas creativas y 
				de animación que se ejecuta perfectamente en las páginas web. Esta basada en la enorme flexibilidad de JavaScript. Los objetivos de este curso son:

				Aprenderá a manejar las principales formas como líneas, curvas bezier, arcos y rectángulos.

				Aprenderá a manejar los gradientes, textos y cargar imágenes en Canvas de HTML 5.

				Aprenderá a aplicar filtros y efectos a las imágenes con el canvas de HTML 5.

				Aplicará las transformaciones de trasladar, rotar, escalar y sesgar en el Canvas de HTML5.

				Aprenderá a manejar los diferentes eventos del ratón.

				Aprenderá la realización de animaciones con Canvas de HTML 5.

				Creará gráficas de pastel o pie, de barras y de líneas con el Canvas de HTML5.

				Este curso esta dirigido a diseñadores y desarrolladores web que deseen crear animaciones interactivas visibles en navegadores web. Necesitas tener conocimientos previos de 
				JavaScript y de HTML. En el capítulo de manejo de imágenes necesitarás un servidor local o un servidor web para poder cargar recursos externos a nuestras páginas. En todo 
				momento contarás con los archivos del curso y los apuntes de cada sección.
			</p>
			<a href="https://www.udemy.com/course/aprende-canvas-html5/">Enlace al curso</a>
			<h4>4.2.3 Curso no gratuito 3 sobre la tecnologí­a especí­fica A</h4>
			<p>How to Program Games: Tile Classics in JS for HTML5 Canvas
				Al tomar este nuevo curso, programarás varios tipos de juegos clásicos que incorporan mundos basados ​​en mosaicos 2D. Codificará en JavaScript para HTML5 Canvas, por lo que un 
				editor de texto y un navegador web normal son todo lo que necesita (un programa de arte puede ser útil para algunas secciones, pero no es obligatorio). He adjuntado mi código 
				para cada paso para que nunca te quedes atascado. Al final aprenderás aún más formas de aplicar lo que has aprendido. Además, al completar el curso, obtendrá un PDF de mi 
				libro de texto completo de 500 páginas sobre desarrollo de juegos: Introducción práctica a la programación de juegos. El libro contiene más de 100 ejercicios, un par de tipos 
				de juegos más y material adicional con más detalles sobre los proyectos que creó en este curso.
			</p>
			<a href="https://www.udemy.com/course/how-to-program-games/">Enlace al curso</a>

			<h4>4.2.4 Curso no gratuito 4 sobre la tecnologí­a especí­fica A</h4>
			<p>Learn HTML Canvas, CSS3 and JS module Pattern Building Game
				Aprende a usar HTML5 Canvas con AngularJS creando tu propio juego Snake-Dot desde cero. El elemento de lienzo HTML se utiliza para dibujar gráficos, sobre la marcha, a través de 
				JavaScript. Canvas tiene varios métodos para dibujar trazados, cuadros, círculos, texto y agregar imágenes. En esta sección, crearemos nuestro propio juego Snake-Dot usando HTML5 
				Canvas de Scratch.
			</p>
			<a href="https://www.udemy.com/course/canva-curso-completo-de-diseno-grafico/?ranMID=39197&ranEAID=a1LgFw09t88&ranSiteID=a1LgFw09t88-qPowDy5npCe1gf_HrbpqSg&LSNPUBID=a1LgFw09t88">Enlace al curso</a>

			<h4>4.2.5 Curso no gratuito 5 sobre la tecnologí­a especí­fica A</h4>
			<p>Mastering HTML5 Canvas
				El desarrollo web es un mundo emocionante y en constante cambio que se está volviendo progresivamente dinámico. Lo que los desarrolladores web necesitan en este mundo acelerado 
				es el poder de controlar las visualizaciones sobre la marcha, ¡y viene el lienzo HTML5 al rescate! Desarrollado por JavaScript, esta potente API 2D ayuda a los desarrolladores 
				a crear gráficos y animaciones directamente en el navegador. Ofrece una gran portabilidad y funciona en casi todos los navegadores modernos, por lo que es accesible desde casi 
				cualquier lugar.

				Dominar HTML5 Canvas lo guía a través de la fascinante arena del desarrollo web, cubriendo todos los conceptos críticos de dibujar y manipular píxeles en el lienzo a través de 
				toneladas de ejemplos y diseños.

				Comenzamos el curso presentando los fundamentos de la API del lienzo. Aprenderá cómo crear elementos de lienzo dinámicamente y dibujar formas básicas, y se familiarizará con 
				el entorno de trabajo. Luego cambiamos nuestro enfoque al dibujo, donde dibujará líneas, formas originales, trazados e incluso formas con múltiples puntas.

				A continuación, aprovecharemos la lógica que se encuentra detrás de las funciones coseno y seno y, a través de ellas, crearemos formas más complicadas. Esta nueva información 
				le permitirá crear combinaciones de formas más complejas y avanzadas. Continuaremos nuestro viaje conociendo los diversos tipos de curvas, imágenes y colores degradados. 
				Finalmente, nos ocuparemos de la manipulación del lienzo en sí.

				Al final de este curso, sabrá cómo dibujar en el lienzo HTML5, crear formas complejas y usar ángulos, arcos y curvas para crear su propio trabajo de arte. Serás un maestro 
				de la API de lienzo 2D HTML5.
			<a href="https://www.udemy.com/course/mastering-html5-canvas/">Enlace al curso</a>

			<h3>4.3 Cursos no gratuitos sobre la tecnologí­a especí­fica B </h3>
			<h4>4.3.1 Curso no gratuito 1 sobre la tecnologí­a especí­fica B</h4>
			<p>Curso de SVG
				Aprende a usar el formato de imagen vectorial más flexible y de alta calidad para los gráficos.
				En este curso aprenderemos a usar el formato de imagen vectorial SVG, conoceremos las coordendas y formas básicas, como lines, stroke, 
				rectangle, circle, ellipse, también la estructura del documento, entre otros.
			</p>
			<a href="https://devcode.la/cursos/svg/">Enlace al curso</a>

			<h4>4.3.2 Curso no gratuito 2 sobre la tecnologí­a especí­fica B</h4>
			<p>Curso de Animaciones SVG con CSS3
				Aprende a animar gráficos vectoriales SVG con CSS3 en tu sitio web.
				En este curso aprenderemos a crear animaciones SVG, conoceremos la propiedad transition y las transiciones con fill y stroke, la propiedad 
				transform y las transformaciones con rotate y scale, así como animaciones con dasharray y dashoffset entre otros.
			</p>
			<a href="https://devcode.la/cursos/animaciones-svg/">Enlace al curso</a>

			<h4>4.3.3 Curso no gratuito 3 sobre la tecnologí­a especí­fica B</h4>
			<p>Curso: SVG Desde Cero
				 Crea gráficos vectoriales para la web usando código e interactua con ellos con CSS y JavaScript

				SVG (Scalable Vector Graphics) es un formato de imágenes vectoriales para web en formato XML. Es decir, puedes crearlas con programas como 
				Illustrator o Sketch pero también directamente con código. Es más, crearlas en illustrator y luego manipularlas por código, animándolas con 
				CSS o creando interacciones con JavaScript. SVG es un estándar de la W3C y tiene soporte completo por todos los navegadores. Pre-requisitos 
				para tomar el curso: Conocimientos en HTML, CSS Y JS
			</p>
			<a href="https://ed.team/cursos/svg">Enlace al curso</a>

			<h4>4.3.4 Curso no gratuito 4 sobre la tecnologí­a especí­fica B</h4>
			<p>Gráficos vectoriales SVG: ilustrar y animar con código
				A continuación entenderás cómo funciona el formato SVG en su forma más básica para poder alterarlo y optimizarlo. Para ello, empezarás escribiendo un 
				gráfico básico sin editores visuales solo con el editor de código, descubrirás cómo aplicar estilos a través de atributos y CSS, sabrás cómo funcionan 
				las etiquetas de línea, polilínea y polígono y las etiquetas de trazo que permiten crear infinidad de curvas, rectas y puntos. También verás los atributos 
				viewbox que permiten realizar ventanas virtuales (delimitar la parte visible de un gráfico y hacer zoom) y las etiquetas de texto.

				Una vez que conozcas las herramientas básicas será el momento de aprender a usar otras herramientas de optimización como los editores vectoriales y herramientas 
				de código con las que lograrás agrupar, definir y reutilizar elementos SVG con el fin de ahorrarte muchas líneas de código.

				La siguiente fase será incorporar SVG a la web, para ello, Javier te explicará formas de cargar un SVG (imagen de contenido, imagen de fondo, con JavaScript…), 
				su aplicación respecto a los sistemas de iconos, su papel en la web responsive, consejos para mejorar la experiencia en lectores de pantalla y cómo optimizar el 
				formato SVG en todos los navegadores.

				Seguidamente descubrirás los efectos en SVG (transformaciones, degradados, patrones, máscaras y filtros) y los tipos de animación (con CSS, de secuencia, de 
				dibujado e interactiva) incluyendo algunas animaciones avanzadas como las realizadas con JavasScript, las aplicadas a checkbox animados, las mutaciones o 
				morphings y las animaciones a lo largo de un trazo.
			</p>
			<a href="https://www.domestika.org/es/courses/169-graficos-vectoriales-svg-ilustrar-y-animar-con-codigo">Enlace al curso</a>

			<h4>4.3.5 Curso no gratuito 5 sobre la tecnologí­a especí­fica B</h4>
			<p>Aprende a crear animaciones SVG: con Iconos.
				SVG es una tecnología muy usada en estos días por la mayoría de sitios web,por ejemplo para crear botones de formularios animados o iconos animados con 
				transiciones de formas o colores. Ahora puedes crear cualquier diseño SVG (iconos, botones, gráficos) y animarlos de manera sencilla, por eso en este curso 
				te guiaremos a través de todos los conocimientos necesarios para que puedas crear animaciones para presentaciones o para web (botones, iconos, gráficos,etc).

				Al terminar el curso podrás ser capaz de animar cualquier contenido gráfico (SVG) para tu web y aprenderás ademas las diferentes opciones que tenemos para 
				crear las animaciones: con propiedades SVG, usando Keyframes o con librerías Javascipt.
				
				Para seguir correctamente el curso solo necesitas conocimientos básicos de CSS y mínimos de Javascript.
				
				¿Para quién es este curso?
				Diseñadores Web
				Diseñadores Gráficos
				Animadores de contenido web
			</p>
			<a href="https://www.udemy.com/course/aprende-a-crear-animaciones-svg-con-iconos/">Enlace al curso</a>
		</section>

		<section id="5">
			<h2>5. Fuentes de información (cursos gratuitos)</h2>
			<p>En los sub-apartados de este apartado se deben indicar cursos gratuitos para aprender la tecnología HTML, y sobre cada una de las tecnologí­as elegidas,
				las cuales son, Canvas (tecnología A) y SVG (tecnología B). En cada subapartado se incluyen descripción breve del curso gratuito y el enlace al curso.
			</p>
			
			<h3>5.1 Cursos gratuitos sobre el tipo de tecnologí­a en general </h3>
			
			<h4>5.1.1 Curso gratuito 1: Creación y desarrollo de páginas web.</h4>
			<p>
				Curso ofrecido por Deusto Formación, ofrece diploma además de enseñanza en inglés. 
				Incluye curso de Google AdWords para desarrollar campanas de SEM y una empresa que colabora con el curso llamada ATI (Asociación de Técnicos de Informática).
				Los objetivos principales de este curso son: Dominar las herramientas de diseño y programación de páginas web más importantes (Flash, Dreamweaver y HTML) 
				sin necesidad de conocimientos previos de programación. Adquirir los conocimientos necesarios para transformar un diseño conceptual y gráfico en un documento HTML. 
				Aprender a trabajar con Google AdWords, el programa de referencia en publicidad online. El curso incluye una licencia oficial del software Adobe Dreamweaver CS5 y Adobe Flash CS5.
				
				Este curso se imparte de forma online, quedan sin concretar horas totales y horario del mismo.
			</p>
			<a href="https://www.deustoformacion.com/cursos/programa-creacion-desarrollo-paginas-web?c=I10529M0001">Enlace al curso</a>
			
			<h4>5.1.2 Curso gratuito 2: Programación HTML5 y CSS.</h4>
			<p>
				Al proceder de la misma página que el anterior encontramos también diploma y formación en inglés. 
				El curso de Programación con HTML5 y CSS te permitirá adquirír los conocimientos en lenguaje HTML5 y CSS adaptados a la telefonía móvil y las tabletas, 
				especializándote en desarrollo web multidispositivo.

				Los principales objetivos de este curso son el poder desarrollar sitios web y aplicaciones web interactivas a través de los últimos estándares; 
				conocer las nuevas etiquetas, los soportes y las tecnologías asociadas al nuevo lenguaje HTML5; dominar el formato CSS3, 
				con el que se puede realizar animaciones para luego integrarlas en los sitios web; saber sacar el máximo rendimiento a las librerías jQuery y 
				crear sitios web profesionales y compatibles con todos los navegadores.

				Curso avalado por la revista profesional Harvard Deusto Business & Technology, 
				sobre estrategias de management e impacto de las TIC en la gestión empresarial. 3 ejemplares gratuitos con tu matrícula.

				Este curso se imparte de forma online, quedan sin concretar horas totales y horario del mismo.
			</p>
			<a href="https://www.deustoformacion.com/cursos/curso-programacion-html5-css?c=I10529M0001">Enlace al curso</a>
			
			<h4>5.1.3 Curso gratuito 3: Diseño de páginas web (HTML5 y CSS3).</h4>
			<p>
				Con este curso de HTML5 y CSS3 aprenderás a diseñar y optimizar el aspecto y funcionalidad de las páginas web creadas desde cero o con WordPress. 
				Siempre es necesario modificar alguna parte de la estructura de contenidos o estilizar algún componente para adaptarlo al diseño general de la web.

				Los contenidos son los siguientes:
					- En cuanto a HTL5:  
						-Tags nuevos (header, nav, article, section, video, audio…)
						– El nuevo Doctype
						– Estructura semántica web
						– Etiquetas nuevas para añadir significado
						– Formularios nuevos
						– Atributos nuevos
						– Incorporación de elementos multimedia
						– Aplicaciones web (canvas, web workers, web sockets, cache…)
					- En cuanto a CSS3:
						-Soporte CSS3
						– Selectores nuevos
						– Propiedades nuevas
						– Bordes
						– Sombras
						– Degradados
						– Transparencias
						– Fondos
						– Tipografías, @font-face y herramientas relacionadas
						– Ajuste de línea
						– Animaciones y transformaciones con CSS3
						– Rotación
						– Columnas
				Este curso consta de 60 horas del 13/05 al 06/07 con clases de lunes a viernes de 19:00 a 22:00 horas
			</p>
			<a href="https://www.trebol.com/cursos-diseno-web-y-programacion/curso-diseno-de-paginas-web-html5-y-css3/">Enlace al curso</a>
			
			<h4>5.1.4 Curso gratuito 4: Curso de introducción al desarrollo web (HTML y CSS), por Google.</h4>
			<p>
				Se ofrece aprender a crear páginas web profesionales adaptables a distintos lenguajes, en concreto se estudiará HTML5 y el estilo en cascado CSS.
				Consta de 80 horas y un nivel de principiante sobre la tecnología. EL curso incluye certificación.
			</p>
			<a href="https://www.sepe.es/HomeSepe/que-es-el-sepe/comunicacion-institucional/noticias/detalle-noticia.html?folder=/2020/Enero/&detail=curso-gratuito-introduccion-desarrollo-web-html-css-google">Enlace al curso</a>
			
			<h4>5.1.5 Curso gratuito 5: Curso para desarrollo de webapss HTML5, CSS y javascript.</h4>
			<p>
				Este curso va ya por su 3º edición, es recomendable tener conocimientos básicos de programación en: Java, C, Python, PHP, Pascal, etc. para aquellos que 
				no cuenten con dichos conocimientos el curso supondrá un esfuerzo más
				
				El curso se divide en los siguientes módulos:
					- Módulo 0: Introducción al curso y al programa “Diseño de servicios en la nube para acceso movil con HTML5”
					- Modulo 1: Introducción a Internet, la nube, la arquitectura de la Web, HTML5 y CSS
					- Modulo 2: Introducción a JavaScript y a las aplicaciones Web en HTML5, así como la publicación en la nube
					- Modulo 3: Estructuración y visualización de páginas Web en HTML y CSS adaptadas a un entorno multipantalla con PCs, móviles y tabletas
					- Módulo 4: Tipos string y boolean de JavaScript, sentencias if/else y for/in, y caracteristicas avanzadas de objetos, incluyendo acceso 
						al navegador mediante el arbol DOM
					- Módulo 5: Interacción con el usuario, funciones, eventos, manejadores de eventos, formularios, jQuery y Zepto
					- Módulo 6: Ejemplo de un cronómetro, eventos tactiles y localStorage, así como su utilización en aplicaciones Web
					- Modulo 7: Gráficos, multimedia y animación en HTML5: SVG, CANVAS y elementos video y audio
					- Modulo 8: Arrays, JSON, geolocalización y Mash-ups con otros servicios y aplicaciones, tales como Google Maps
				
			</p>
			<a href="https://aprendergratis.es/cursos-online/curso-para-el-desarrollo-de-webapps-en-html5-css-y-javascript/">Enlace al curso</a>


			<h3>5.2 Cursos gratuitos sobre la tecnologí­a especí­fica A </h3>
			<h4>5.2.1 Curso gratuito 1 sobre la tecnologí­a especí­fica A</h4>
			<p>Curso de Canva
				La herramienta web Canva permite realizar elegantes diseños visuales con muy pocos clics de ratón, comenzando desde cero o reaprovechando diseños ya existentes.

				Este curso está estructurado en una serie de videotutoriales desarrollados sobre contenidos en PDF.
				Los tutoriales puede verlos directamente en la web, y el contenido del curso en PDF podrá descargarlo desde un enlace al final de la página.
			</p>
			<a href="https://cursosenabierto.uca.es/curso-de-canva/">Enlace al curso</a>
			<h4>5.2.2 Curso gratuito 2 sobre la tecnologí­a especí­fica A</h4>
			<p>Code Your First Game: Arcade Classic in JavaScript on Canvas
				Al final de este breve curso, habrás programado tu primer juego. Aprenderás los fundamentos del desarrollo del juego al hacerlo realmente: escribiendo y ejecutando código real en tu propia máquina.

				Cada paso del curso tiene el código fuente adjunto exactamente como debería verse en ese momento (haga clic en "Ver recursos" y luego en "Recursos descargables"), para que pueda comparar o recoger, 
				¡para que no pueda quedarse atascado!
			</p>
			<a href="https://www.udemy.com/course/code-your-first-game/">Enlace al curso</a>
			<h4>5.2.3 Curso gratuito 3 sobre la tecnologí­a especí­fica A</h4>
			<p>Canvas tutorial
				Este curso relatara un tutorial para el aprendizaje de Canvas para principiantes en el sector
			</p>
			<a href="https://developer.mozilla.org/en-US/docs/Web/API/Canvas_API/Tutorial">Enlace al curso</a>

			<h3>5.3 Cursos gratuitos sobre la tecnología B </h3>
            <h4>5.3.1 Curso gratuito 1 sobre SVG</h4>
            <p>Introducción a SVG. Gráficos Redimensionables.
                Curso donde veremos a base de ejemplos de código y gráficos el funcionamiento de esta tecnología
            </p>
            <a href="https://www.aulaclic.es/html/t_16_1.htm">Enlace al curso</a>

            <h4>5.3.2 Curso gratuito 2 sobre la tecnología B</h4>
            <p>Breve tutorial sobre SVG gartuito, no es un curso como tal, pero nos puede servir de ayuda a la hora de aprender la tecnología
                En esta lección se trata la etiqueta principal de SVG, la etiqueta svg. Las formas básicas SVG (líneas, rectángulos, círculos, curvas, etc.)
                se comentan en la lección Formas básicas SVG. Algunas formas más avanzadas se comentan en la lección Formas avanzadas SVG. En la lección SVG (2) se tratan otros aspectos relacionados con las imágenes SVG.
            </p>
            <a href="https://www.mclibre.org/consultar/htmlcss/html/html-svg.html">Enlace al curso</a>

            <h4>5.3.3 Curso gratuito 3 sobre la tecnología B</h4>
            <p>Curso de introducción a SVG
                 En este tutorial aprenderemos los conocimientos básicos de SVG, pudiendo continuarlo (despligue SVG, tipos de datos…)
            </p>
            <a href="http://gcoch.github.io/D3-tutorial/intro-svg.html">Enlace al curso</a>
            
            <h4>5.3.4 Curso gratuito 4 sobre la tecnología B</h4>
            <p>Curso SVG BitDegree - Este curso es técnicamente de pago, sin embargo, nos ofrece unos 30 minutos de tutoriales gratuitos. Ofreciendonos las nociones básicas para aprender está tecnología.
                ¿Qué aprenderás?
                    Aprende a crear SVG para desarrollo web y aprende por qué debes usarlo
                    Aprende a incrustar SVG a una página web
                    Aprende a crear diferentes formas SVG
                    Aprende a crear un paisaje con código
            </p>
            <a href="https://es.bitdegree.org/curso/grafico-vectorial">Enlace al curso</a>
            
            <h4>5.3.2 Curso gratuito 5 sobre la tecnología B</h4>
            <p>Curso gratuito sobre SVG en Tutoriales.online - Tutorial de SVG interactivo</p>
            <a href="https://tutoriales.online/curso/svg#">Enlace al curso</a>



		</section>

		<section id="6">
			<h2>6. Ayudas económicas para estudiar las tecnologí­as</h2>

			<p>En este apartado indicaremos algunas ayudas económicas como becas o descuentos que una persona podrí¬a solicitar para aprender una o las dos tecnologías.
	
				<h3>6.1 Ayudas al estudio proporcionadas por la Universidad Nacional de Educación a Distancia (UNED)</h3>

				<p>Tal y como habíamos indicado en el punto 4.1.1, la UNED dispone de un curso de diseño y desarrollo web con HTML5, CSS3 y JavaScript.
					Tanto para este curso como para todos los que son ofertados por la UNED, la propia Universidad cuenta con una fundación para las ayudas al estudio.
					</p>

				<a href="https://www.fundacion.uned.es/ayudasestudio">Enlace para más información sobre la ayuda</a>

				<h3>6.2 Ayudas para estudios universitarios del Ministerio de Educación y Formación Profesional</h3>

				<p>El Ministerio de Educación y Formación Profesional del Gobierno de España proporciona becas y ayudas económicas de diferentes tipos y cuantías para alumnos que cumplan determinados requisitos. 
					En este apartado nos centraremos en las ayudas para estudios universitarios, ya que es donde se encuentra la carrera de diseño gráfico, en la cual se aprenden las tecnologías que hemos analizado en este trabajo.
					</p>

				<a href="https://www.educacionyfp.gob.es/educacion/mc/becas-generales/2019-2020/estudios-universitarios.html">Enlace para más información sobre la ayuda</a>

			</p>
		</section>

		<section id="7">
			<h2>7. Recursos software o hardware para implementar las tecnologí­as</h2>
			<p>En los sub-apartados de este apartado se deben indicar recursos software (y en su caso también hardware)
				para implementar cada una de las tecnologí­as elegidas, las cuales son Canvas y SVG.
				Se incluirá en cada subapartado una breve descripción y el enlace necesario para acceder a la información del recurso.</p>
			
				<h3>7.1 Recursos para implementar la tecnologí¬a A</h3>
				<h4>7.1.1 Recurso gratuito: NotePad++</h4>
				<p>Notepad++ es un editor de texto y de código fuente libre con soporte para varios lenguajes de programación. Con soporte nativo para Microsoft Windows. </p>
				<a href="https://notepad-plus-plus.org/">Enlace a cada recurso</a>
	
				<h4>7.1.2 Recurso no gratuito: Sublime Text</h4>
				<p>Sublime Text es un editor de texto y editor de código fuente está escrito en C++ y Python. Se puede descargar y evaluar de forma gratuita. Sin embargo no es software libre o de código abierto3 y se debe obtener una licencia para su uso continuado </p>
				<a href="https://www.sublimetext.com/">Enlace a cada recurso</a>
	

			<h3>7.2 Recursos para implementar la tecnologí­a SVG</h3>
			<h4>7.2.1 Recursos gratuitos para implementar la tecnologí­a SVG</h4>
			<p>Inkscape
				Con este programa gratuito se puede crear ilustraciones, logos, iconos, diagramas y otros gráficos web. 
				Emplea de manera predeterminada el formato SVG y es compatible con Windows, Mac OS X y Linux.
			</p>
			<a href="https://inkscape.org/es/">Enlace a Inkscape</a>
			<h4>7.2.2 Recursos no gratuitos para implementar la tecnologí­a SVG</h4>
			<p>Adobe Illustrator 
				Complejo editor gráfico de imágenes vectoriales, en el que se pueden crear imágenes en formato SVG.
				Ha alcanzado una gran fama, debido a las composiciones creadas por artistas gráficos digitales usando esta herramienta, que es muy profesional.
				Puede resultar un programa muy complejo para los que buscan crear gráficos sencillos.
			</p>
			<a href="https://www.adobe.com/es/products/illustrator.html">Enlace a Adobe Illustrator</a>
		</section>

		<section id="8">
			<h2>8. Conclusiones</h2>
			<p>
				En cuanto al apartado de fuentes y documentación, la tarea no ha sido difícil, la única complejidad encontrada ha sido buscar ayudas económicas para las tecnologías.
			</p>
			<p>
				Si analizamos la búsqueda de cursos, hemos encontrado mayor dificultad al buscar cursos gratuitos, si que es verdad que para la tecnología en general hay una gran lista de cursos, 
				tanto gratuitos como de pago, pero si nos focalizamos en un tipo de tecnología en concreto (CANVAS o SVG), es cuando empezamos a encontrar problemas de búsqueda, 
				sobretodo al buscar cursos gratuitos, ya que es complicado comprobar su veracidad y oficialidad de los contenidos.
			</p>
		</section>

	</main>

</body>

</html>